Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class Categorize

    java.lang.Object
      org.deegree.graphics.sld.Categorize

    public class Categorize

extends Object

`Categorize` encapsulates data from a categorize element in a RasterSymbolizer.

Version:
  $Revision:$, $Date:$
Author:
  Andreas Schmitz, last edited by: $Author:$

Constructor Summary
`Categorize()`

Method Summary
`int` | `categorize(float val, int opacity)`
`void` | `setThresholds(LinkedList<ParameterValueType> thresholds)`
`void` | `setThresholdsBelongTo(SLDFactory.ThresholdsBelongTo thresholdsBelongTo)`
`void` | `setValues(LinkedList<ParameterValueType> values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Categorize

    public Categorize()

Method Detail

### setThresholds

    public void setThresholds(LinkedList<ParameterValueType> thresholds)

  Parameters:
    `thresholds` -

### setValues

    public void setValues(LinkedList<ParameterValueType> values)

  Parameters:
    `values` -

### setThresholdsBelongTo

    public void setThresholdsBelongTo(SLDFactory.ThresholdsBelongTo thresholdsBelongTo)

  Parameters:
    `thresholdsBelongTo` -

### categorize

    public int categorize(float val,
                          int opacity)

  Parameters:
    `val` -
    `opacity` - the opacity to use if none has been set for the value
  Returns:
    a categorized value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org